Bug 1443555 - [abrt] mediawriter: nouveau_pushbuf_data(): mediawriter killed by SIGABRT
Summary: [abrt] mediawriter: nouveau_pushbuf_data(): mediawriter killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:037a9da1adc21357c088ea3630c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-19 13:00 UTC by Alessio
Modified: 2017-12-12 10:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:16:04 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (42.25 KB, text/plain)
2017-04-19 13:00 UTC, Alessio
no flags Details
File: cgroup (148 bytes, text/plain)
2017-04-19 13:00 UTC, Alessio
no flags Details
File: core_backtrace (7.45 KB, text/plain)
2017-04-19 13:00 UTC, Alessio
no flags Details
File: dso_list (17.00 KB, text/plain)
2017-04-19 13:00 UTC, Alessio
no flags Details
File: environ (1.55 KB, text/plain)
2017-04-19 13:00 UTC, Alessio
no flags Details
File: limits (1.29 KB, text/plain)
2017-04-19 13:00 UTC, Alessio
no flags Details
File: maps (85.03 KB, text/plain)
2017-04-19 13:00 UTC, Alessio
no flags Details
File: mountinfo (6.81 KB, text/plain)
2017-04-19 13:00 UTC, Alessio
no flags Details
File: namespaces (102 bytes, text/plain)
2017-04-19 13:00 UTC, Alessio
no flags Details
File: open_fds (2.42 KB, text/plain)
2017-04-19 13:00 UTC, Alessio
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-04-19 13:00 UTC, Alessio
no flags Details
File: var_log_messages (8.51 KB, text/plain)
2017-04-19 13:00 UTC, Alessio
no flags Details

Description Alessio 2017-04-19 13:00:06 UTC
Version-Release number of selected component:
mediawriter-4.0.95-1.fc26

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        mediawriter
crash_function: nouveau_pushbuf_data
executable:     /usr/bin/mediawriter
global_pid:     5198
kernel:         4.10.10-200.fc25.x86_64
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 nouveau_pushbuf_data at pushbuf.c:727
 #6 pushbuf_submit at pushbuf.c:330
 #7 pushbuf_flush at pushbuf.c:405
 #8 pushbuf_validate at pushbuf.c:527
 #9 nouveau_pushbuf_validate at pushbuf.c:753
 #10 nv50_state_validate at nv50/nv50_state_validate.c:582
 #11 nv50_state_validate_3d at nv50/nv50_state_validate.c:592
 #12 nv50_clear at nv50/nv50_surface.c:538
 #13 st_Clear at state_tracker/st_cb_clear.c:481
 #14 QSGBatchRenderer::Renderer::renderBatches at /usr/src/debug/qtdeclarative-opensource-src-5.7.1/src/quick/scenegraph/coreapi/qsgbatchrenderer.cpp:2517

Comment 1 Alessio 2017-04-19 13:00:11 UTC
Created attachment 1272600 [details]
File: backtrace

Comment 2 Alessio 2017-04-19 13:00:13 UTC
Created attachment 1272601 [details]
File: cgroup

Comment 3 Alessio 2017-04-19 13:00:15 UTC
Created attachment 1272602 [details]
File: core_backtrace

Comment 4 Alessio 2017-04-19 13:00:17 UTC
Created attachment 1272603 [details]
File: dso_list

Comment 5 Alessio 2017-04-19 13:00:18 UTC
Created attachment 1272604 [details]
File: environ

Comment 6 Alessio 2017-04-19 13:00:21 UTC
Created attachment 1272605 [details]
File: limits

Comment 7 Alessio 2017-04-19 13:00:24 UTC
Created attachment 1272606 [details]
File: maps

Comment 8 Alessio 2017-04-19 13:00:26 UTC
Created attachment 1272607 [details]
File: mountinfo

Comment 9 Alessio 2017-04-19 13:00:27 UTC
Created attachment 1272609 [details]
File: namespaces

Comment 10 Alessio 2017-04-19 13:00:29 UTC
Created attachment 1272610 [details]
File: open_fds

Comment 11 Alessio 2017-04-19 13:00:31 UTC
Created attachment 1272611 [details]
File: proc_pid_status

Comment 12 Alessio 2017-04-19 13:00:32 UTC
Created attachment 1272612 [details]
File: var_log_messages

Comment 13 rugk 2017-06-06 11:35:43 UTC
Anyone concerned to fix this?

In an upstream issue (https://github.com/MartinBriza/MediaWriter/issues/90) the author said, this is a driver issue of the nouveau driver.
It's especially bad as it happened to me exactly at the most important point where the program is used. And in my case it froze the *whole system*! That's the worst UX you can get. I would have expected it to be better for such an important, official Fedora tool! You cannot share Fedora with anyone if you cannot create an installation image!

Comment 14 Fedora End Of Life 2017-11-16 14:59:58 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:16:04 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.